unit Unit4;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, LMDCustomButtonGroup, LMDCustomRadioGroup,
  LMDRadioGroup, LMDCustomControl, LMDCustomPanel, LMDCustomBevelPanel,
  LMDCustomParentPanel, LMDCustomGroupBox, LMDGroupBox, RzLabel,
  LMDCustomButton, LMDButton, Math, ComCtrls, Mask, ToolEdit, CurrEdit,
  ExtCtrls, LMDControl;

type
  TForm4 = class(TForm)
    LMDGroupBox1: TLMDGroupBox;
    LMDRadioGroup1: TLMDRadioGroup;
    Label1: TLabel;
    Label2: TLabel;
    LMDButton1: TLMDButton;
    RzURLLabel1: TRzURLLabel;
    RichEdit1: TRichEdit;
    RxCalcEdit1: TRxCalcEdit;
    Image1: TImage;
    Panel1: TPanel;
    Edit1: TEdit;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    RzURLLabel2: TRzURLLabel;
    RzURLLabel3: TRzURLLabel;
    Label3: TLabel;
    procedure RzURLLabel1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure LMDButton1Click(Sender: TObject);
    procedure LMDRadioGroup1Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure RxCalcEdit1Click(Sender: TObject);
    procedure RzURLLabel3Click(Sender: TObject);
    procedure RxCalcEdit1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
                                                                   
var
  Form4: TForm4;
  Err1,Err2,Err3,Err4,Err5,Err6,Err7,Err8,Err9,Err10:Integer;
  NumVopr,NumOtv:Integer;
  Num1,Num2,Num3,Num4:Integer;
  NumErrors, ii:Integer;
  ss:string;


implementation

uses Unit1, Unit5;

{$R *.dfm}


procedure TForm4.RzURLLabel1Click(Sender: TObject);
begin
Form4.RzURLLabel1.Visible:=false;
Form4.LMDGroupBox1.Visible:=true;
Form4.LMDRadioGroup1.Visible:=true;
Form4.LMDButton1.Visible:=true;
Form4.Label1.Visible:=false;
Form4.Label2.Visible:=false;
Form4.RzURLLabel2.Visible:=false;
Form4.RzURLLabel3.Visible:=false;
Form4.RzURLLabel1.Visible:=false;
if Num1=6 then
Form4.RxCalcEdit1.Visible:=true;
end;

procedure TForm4.FormShow(Sender: TObject);
var
N,N1,N2,N3:Integer;
begin
ss:='';
Err1:=0;
Err2:=0;
Err3:=0;
Err4:=0;
Err5:=0;
Err6:=0;
Err7:=0;
Err8:=0;
Err9:=0;
Err10:=0;
NumVopr:=0;
NumVopr:=NumVopr+1;
randomize;
Num1:=1+random(7);

for N:=0 to 100 do
begin
randomize;
Num2:=1+random(7);
if Num2<>Num1 then
break;
end;
for N:=0 to 10000 do
begin
randomize;
Num3:=1+random(7);
if (Num3<>Num1) and (Num3<>Num2) then
break;
end;
for N:=0 to 10000 do
begin
randomize;
Num4:=1+random(7);
if (Num4<>Num1) and (Num4<>Num2) and (Num4<>Num3) then
break;
end;
//Form4.LMDRadioGroup1.Visible:=true;
{randomize;
Num4:=1+random(7);  }

Form4.RxCalcEdit1.Visible:=false;
Form4.Edit1.Visible:=false;
Form4.LMDRadioGroup1.Items.Clear;
Form4.RichEdit1.Clear;
Form4.Label1.Visible:=true;
Form4.Label2.Visible:=true;
Form4.Label4.Visible:=false;
Form4.Label5.Visible:=false;
Form4.Label6.Visible:=false;
Form4.Label3.Visible:=false;
Form4.RzURLLabel1.Visible:=true;
Form4.RzURLLabel2.Visible:=false;
Form4.RzURLLabel3.Visible:=false;
Form4.LMDGroupBox1.Caption:='Вопрос 1';

if Num1=1 then
begin
Form4.RichEdit1.Text:='Каковы функции компаратора?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Подключение или отключение основных и дополнительных эталонов.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Подключение или отключение основных и дополнительных эталонов.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Подключение или отключение основных и дополнительных эталонов.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
end; // Конец if Num1=1 //

if Num1=2 then
begin
Form4.RichEdit1.Text:='Каковы функции ГЭН?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого определяется основной эталон в сегменте и набор дополнительных эталонов.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого определяется основной эталон в сегменте и набор дополнительных эталонов.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого определяется основной эталон в сегменте и набор дополнительных эталонов.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
end; // Конец if Num1=2 //


if Num1=3 then
begin
Form4.RichEdit1.Text:='Каковы функции БКЭ?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('В котором происходит потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('В котором происходит потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('В котором происходит потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму.');
end; // Конец if Num1=3 //


if Num1=4 then
begin
Form4.RichEdit1.Text:='Каковы функции ЦР?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
end; // Конец if Num1=4 //


if Num1=5 then
begin
Form4.RichEdit1.Text:='Каковы функции ПК?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формируется 8-ми разрядная канальная кодовая комбинация в параллельном коде.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Передача кодовых канальных комбинаций в составе группового ИКМгр  по цифровому тракту.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формируется 8-ми разрядная канальная кодовая комбинация в параллельном коде.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Передача кодовых канальных комбинаций в составе группового ИКМгр  по цифровому тракту.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формируется 8-ми разрядная канальная кодовая комбинация в параллельном коде.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Передача кодовых канальных комбинаций в составе группового ИКМгр  по цифровому тракту.');
end; // Конец if Num1=5 //


if Num1=6 then
begin
Form4.RichEdit1.Text:='С каким эталонным напряжением сравнивается U на первичном и вторичном такте нелинейного кодирования? (через запятую)';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
//Form4.RxCalcEdit1.Visible:=true;
end; // Конец if Num1=6 //


if Num1=7 then
begin
Form4.RichEdit1.Text:='Как изменяется шаг квантования в сегментах характеристики компрессии типа А?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Не изменяется.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Уменьшается в 2 раза.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Увеличивается в 2 раза.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Не изменяется.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Уменьшается в 2 раза.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Увеличивается в 2 раза.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Не изменяется.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Уменьшается в 2 раза.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Увеличивается в 2 раза.');
end; // Конец if Num1=7 //


end;

procedure TForm4.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Form1.Close;
application.Terminate;
end;

procedure TForm4.LMDButton1Click(Sender: TObject);
var
N,N1,N2,N3:Integer;
begin
//Form4.LMDRadioGroup1.Items.Clear;
//Form4.RichEdit1.Clear;
NumVopr:=NumVopr+1;
{Form4.RxCalcEdit1.Visible:=false;
Form4.Panel1.Visible:=false;
Form4.Edit1.Visible:=false;
Form4.RichEdit1.Clear;
Form4.LMDButton1.Enabled:=false;  }

{if NumVopr=1 then
begin
if Num1=1 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.' then
Err=0
else
Err=1;
end;

if Num1=2 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Вырабатывание 11 эталонов с номиналами от 1? до 1024? отрицательной и положительной полярности соответственно.' then
Err=0
else
Err=1;
end;

if Num1=3 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.' then
Err=0
else
Err=1;
end;

if Num1=4 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.' then
Err=0
else
Err=1;
end;

if Num1=5 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Преобразование сигнала в параллельном коде в последовательный во времени код.' then
Err=0
else
Err=1;
end;

if Num1=6 then
begin
if Form4.RxCalcEdit1.Value=0.128 then
Err=0
else
Err=1;
end;

if Num1=7 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Увеличивается в 2 раза.' then
Err=0
else
Err=1;
end;
end;   }

if NumVopr=2 then
begin
if Num1=1 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.' then
Err1:=0
else
Err1:=1;
end;

if Num1=2 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.' then
Err1:=0
else
Err1:=1;
end;

if Num1=3 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.' then
Err1:=0
else
Err1:=1;
end;

if Num1=4 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.' then
Err1:=0
else
Err1:=1;
end;

if Num1=5 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Преобразование сигнала в параллельном коде в последовательный во времени код.' then
Err1:=0
else
Err1:=1;
end;

if Num1=6 then
begin
if Form4.RxCalcEdit1.Value=0.128 then
Err1:=0
else
Err1:=1;
end;

if Num1=7 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Увеличивается в 2 раза.' then
Err1:=0
else
Err1:=1;
end;
Form4.LMDRadioGroup1.Items.Clear;
Form4.RxCalcEdit1.Visible:=false;
Form4.Panel1.Visible:=false;
Form4.Edit1.Visible:=false;
Form4.RichEdit1.Clear;
Form4.LMDButton1.Enabled:=false;

Form4.LMDGroupBox1.Caption:='Вопрос 2';
if Num2=1 then
begin
Form4.RichEdit1.Text:='Каковы функции компаратора?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Подключение или отключение основных и дополнительных эталонов.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Подключение или отключение основных и дополнительных эталонов.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Подключение или отключение основных и дополнительных эталонов.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
end; // Конец if Num2=1 //

if Num2=2 then
begin
Form4.RichEdit1.Text:='Каковы функции ГЭН?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого определяется основной эталон в сегменте и набор дополнительных эталонов.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого определяется основной эталон в сегменте и набор дополнительных эталонов.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого определяется основной эталон в сегменте и набор дополнительных эталонов.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
end; // Конец if Num2=2 //


if Num2=3 then
begin
Form4.RichEdit1.Text:='Каковы функции БКЭ?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('В котором происходит потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('В котором происходит потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('В котором происходит потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму.');
end; // Конец if Num2=3 //


if Num2=4 then
begin
Form4.RichEdit1.Text:='Каковы функции ЦР?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
end; // Конец if Num2=4 //


if Num2=5 then
begin
Form4.RichEdit1.Text:='Каковы функции ПК?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формируется 8-ми разрядная канальная кодовая комбинация в параллельном коде.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Передача кодовых канальных комбинаций в составе группового ИКМгр  по цифровому тракту.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формируется 8-ми разрядная канальная кодовая комбинация в параллельном коде.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Передача кодовых канальных комбинаций в составе группового ИКМгр  по цифровому тракту.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формируется 8-ми разрядная канальная кодовая комбинация в параллельном коде.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Передача кодовых канальных комбинаций в составе группового ИКМгр  по цифровому тракту.');
end; // Конец if Num2=5 //


if Num2=6 then
begin
Form4.RichEdit1.Text:='С каким эталонным напряжением сравнивается U на первичном и вторичном такте нелинейного кодирования? (через запятую)';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
Form4.RxCalcEdit1.Visible:=true;
end; // Конец if Num2=6 //


if Num2=7 then
begin
Form4.RichEdit1.Text:='Как изменяется шаг квантования в сегментах характеристики компрессии типа А?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Не изменяется.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Уменьшается в 2 раза.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Увеличивается в 2 раза.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Не изменяется.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Уменьшается в 2 раза.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Увеличивается в 2 раза.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Не изменяется.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Уменьшается в 2 раза.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Увеличивается в 2 раза.');
end; // Конец if Num2=7 //
end; // Конец if NumVopr=2 //



if NumVopr=3 then
begin

if Num2=1 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.' then
Err2:=0
else
Err2:=1;
end;

if Num2=2 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.' then
Err2:=0
else
Err2:=1;
end;

if Num2=3 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.' then
Err2:=0
else
Err2:=1;
end;

if Num2=4 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.' then
Err2:=0
else
Err2:=1;
end;

if Num2=5 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Преобразование сигнала в параллельном коде в последовательный во времени код.' then
Err2:=0
else
Err2:=1;
end;

if Num2=6 then
begin
if Form4.RxCalcEdit1.Value=0.128 then
Err2:=0
else
Err2:=1;
end;

if Num2=7 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Увеличивается в 2 раза.' then
Err2:=0
else
Err2:=1;
end;
Form4.LMDRadioGroup1.Items.Clear;
Form4.RxCalcEdit1.Visible:=false;
Form4.Panel1.Visible:=false;
Form4.Edit1.Visible:=false;
Form4.RichEdit1.Clear;
Form4.LMDButton1.Enabled:=false;

Form4.LMDGroupBox1.Caption:='Вопрос 3';
Form4.RxCalcEdit1.Visible:=false;
if Num3=1 then
begin
Form4.RichEdit1.Text:='Каковы функции компаратора?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Подключение или отключение основных и дополнительных эталонов.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Подключение или отключение основных и дополнительных эталонов.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Подключение или отключение основных и дополнительных эталонов.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
end; // Конец if Num1=1 //

if Num3=2 then
begin
Form4.RichEdit1.Text:='Каковы функции ГЭН?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого определяется основной эталон в сегменте и набор дополнительных эталонов.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого определяется основной эталон в сегменте и набор дополнительных эталонов.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого определяется основной эталон в сегменте и набор дополнительных эталонов.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
end; // Конец if Num1=2 //


if Num3=3 then
begin
Form4.RichEdit1.Text:='Каковы функции БКЭ?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('В котором происходит потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('В котором происходит потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('В котором происходит потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму.');
end; // Конец if Num1=3 //


if Num3=4 then
begin
Form4.RichEdit1.Text:='Каковы функции ЦР?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
end; // Конец if Num1=4 //


if Num3=5 then
begin
Form4.RichEdit1.Text:='Каковы функции ПК?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формируется 8-ми разрядная канальная кодовая комбинация в параллельном коде.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Передача кодовых канальных комбинаций в составе группового ИКМгр  по цифровому тракту.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формируется 8-ми разрядная канальная кодовая комбинация в параллельном коде.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Передача кодовых канальных комбинаций в составе группового ИКМгр  по цифровому тракту.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формируется 8-ми разрядная канальная кодовая комбинация в параллельном коде.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Передача кодовых канальных комбинаций в составе группового ИКМгр  по цифровому тракту.');
end; // Конец if Num1=5 //


if Num3=6 then
begin
Form4.RichEdit1.Text:='С каким эталонным напряжением сравнивается U на первичном и вторичном такте нелинейного кодирования? (через запятую)';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
Form4.RxCalcEdit1.Visible:=true;
end; // Конец if Num1=6 //


if Num3=7 then
begin
Form4.RichEdit1.Text:='Как изменяется шаг квантования в сегментах характеристики компрессии типа А?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Не изменяется.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Уменьшается в 2 раза.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Увеличивается в 2 раза.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Не изменяется.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Уменьшается в 2 раза.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Увеличивается в 2 раза.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Не изменяется.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Уменьшается в 2 раза.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Увеличивается в 2 раза.');
end; // Конец if Num1=7 //
end; // Конец if NumVopr=3 //



if NumVopr=4 then
begin
if Num3=1 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.' then
Err3:=0
else
Err3:=1;
end;

if Num3=2 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.' then
Err3:=0
else
Err3:=1;
end;

if Num3=3 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.' then
Err3:=0
else
Err3:=1;
end;

if Num3=4 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.' then
Err3:=0
else
Err3:=1;
end;

if Num3=5 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Преобразование сигнала в параллельном коде в последовательный во времени код.' then
Err3:=0
else
Err3:=1;
end;

if Num3=6 then
begin
if Form4.RxCalcEdit1.Value=0.128 then
Err3:=0
else
Err3:=1;
end;

if Num3=7 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Увеличивается в 2 раза.' then
Err3:=0
else
Err3:=1;
end;
Form4.LMDRadioGroup1.Items.Clear;
Form4.RxCalcEdit1.Visible:=false;
Form4.Panel1.Visible:=false;
Form4.Edit1.Visible:=false;
Form4.RichEdit1.Clear;
Form4.LMDButton1.Enabled:=false;

Form4.LMDGroupBox1.Caption:='Вопрос 4';
if Num4=1 then
begin
Form4.RichEdit1.Text:='Каковы функции компаратора?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Подключение или отключение основных и дополнительных эталонов.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Подключение или отключение основных и дополнительных эталонов.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Подключение или отключение основных и дополнительных эталонов.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
end; // Конец if Num4=1 //

if Num4=2 then
begin
Form4.RichEdit1.Text:='Каковы функции ГЭН?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого определяется основной эталон в сегменте и набор дополнительных эталонов.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого определяется основной эталон в сегменте и набор дополнительных эталонов.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого определяется основной эталон в сегменте и набор дополнительных эталонов.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
end; // Конец if Num4=2 //


if Num4=3 then
begin
Form4.RichEdit1.Text:='Каковы функции БКЭ?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('В котором происходит потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('В котором происходит потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('В котором происходит потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму.');
end; // Конец if Num4=3 //


if Num4=4 then
begin
Form4.RichEdit1.Text:='Каковы функции ЦР?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.');
end; // Конец if Num4=4 //


if Num4=5 then
begin
Form4.RichEdit1.Text:='Каковы функции ПК?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формируется 8-ми разрядная канальная кодовая комбинация в параллельном коде.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Передача кодовых канальных комбинаций в составе группового ИКМгр  по цифровому тракту.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формируется 8-ми разрядная канальная кодовая комбинация в параллельном коде.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Передача кодовых канальных комбинаций в составе группового ИКМгр  по цифровому тракту.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Потактовая реализация процедуры нелинейного кодирования и формируется 8-ми разрядная канальная кодовая комбинация в параллельном коде.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Преобразование сигнала в параллельном коде в последовательный во времени код.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Передача кодовых канальных комбинаций в составе группового ИКМгр  по цифровому тракту.');
end; // Конец if Num4=5 //


if Num4=6 then
begin
Form4.RichEdit1.Text:='С каким эталонным напряжением сравнивается U на первичном и вторичном такте нелинейного кодирования? (через запятую)';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
Form4.RxCalcEdit1.Visible:=true;
end; // Конец if Num4=6 //


if Num4=7 then
begin
Form4.RichEdit1.Text:='Как изменяется шаг квантования в сегментах характеристики компрессии типа А?';
randomize;
N1:=1+random(3);
for N:=0 to 10000 do
begin
randomize;
N2:=1+random(3);
if N2<>N1 then
break;
end;
for N:=0 to 100000 do
begin
randomize;
N3:=1+random(3);
if (N3<>N1) and (N3<>N2) then
break;
end;
if N1=1 then
Form4.LMDRadioGroup1.Items.Add('Не изменяется.');
if N1=2 then
Form4.LMDRadioGroup1.Items.Add('Уменьшается в 2 раза.');
if N1=3 then
Form4.LMDRadioGroup1.Items.Add('Увеличивается в 2 раза.');
if N2=1 then
Form4.LMDRadioGroup1.Items.Add('Не изменяется.');
if N2=2 then
Form4.LMDRadioGroup1.Items.Add('Уменьшается в 2 раза.');
if N2=3 then
Form4.LMDRadioGroup1.Items.Add('Увеличивается в 2 раза.');
if N3=1 then
Form4.LMDRadioGroup1.Items.Add('Не изменяется.');
if N3=2 then
Form4.LMDRadioGroup1.Items.Add('Уменьшается в 2 раза.');
if N3=3 then
Form4.LMDRadioGroup1.Items.Add('Увеличивается в 2 раза.');
end; // Конец if Num4=7 //
end; // Конец if NumVopr=4 //



if NumVopr=5 then
begin
Form4.RxCalcEdit1.Value:=0;
if Num4=1 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Потактовое сравнение UАИМ-2гр с набором эталонных напряжений по алгоритму нелинейного кодирования.' then
Err4:=0
else
Err4:=1;
end;

if Num4=2 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Вырабатывание 11 эталонов с номиналами от 1 delta до 1024 delta отрицательной и положительной полярности соответственно.' then
Err4:=0
else
Err4:=1;
end;

if Num4=3 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Блок при помощи которого происходит подключение или отключение основных и дополнительных эталонов соответствующих сегменту, в котором происходит кодирование.' then
Err4:=0
else
Err4:=1;
end;

if Num4=4 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Потактовая реализация процедуры нелинейного кодирования и формирование 8-ми разрядной канальной кодовой комбинации.' then
Err4:=0
else
Err4:=1;
end;

if Num4=5 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Преобразование сигнала в параллельном коде в последовательный во времени код.' then
Err4:=0
else
Err4:=1;
end;

if Num4=6 then
begin
if Form4.RxCalcEdit1.Value=0.128 then
Err4:=0
else
Err4:=1;
end;

if Num4=7 then
begin
if Form4.LMDRadioGroup1.Items.Strings[Form4.LMDRadioGroup1.ItemIndex]='Увеличивается в 2 раза.' then
Err4:=0
else
Err4:=1;
end;
Form4.LMDRadioGroup1.Items.Clear;
Form4.RxCalcEdit1.Visible:=false;
Form4.Panel1.Visible:=false;
Form4.Edit1.Visible:=false;
Form4.RichEdit1.Clear;
Form4.LMDButton1.Enabled:=false;

Form4.LMDGroupBox1.Caption:='Вопрос 5';
Form4.Panel1.Visible:=true;
Form4.RxCalcEdit1.Visible:=true;
Form4.RxCalcEdit1.Value:=0;
Form4.Edit1.Visible:=false;
randomize;
NumOtv:=2+random(10);
Form4.RichEdit1.Text:='Определить максимальное напряжение квантованного сигнала. Кодирующее устройство с линейной шкалой квантования. Разрядность кода m='+IntToStr(NumOtv);
end;

if NumVopr=6 then
begin
if NumOtv=2 then
begin
if Form4.RxCalcEdit1.Value=3 then
Err5:=0
else
Err5:=1;
end;

if NumOtv=3 then
begin
if Form4.RxCalcEdit1.Value=7 then
Err5:=0
else
Err5:=1;
end;

if NumOtv=4 then
begin
if Form4.RxCalcEdit1.Value=15 then
Err5:=0
else
Err5:=1;
end;

if NumOtv=5 then
begin
if Form4.RxCalcEdit1.Value=31 then
Err5:=0
else
Err5:=1;
end;

if NumOtv=6 then
begin
if Form4.RxCalcEdit1.Value=63 then
Err5:=0
else
Err5:=1;
end;

if NumOtv=7 then
begin
if Form4.RxCalcEdit1.Value=127 then
Err5:=0
else
Err5:=1;
end;

if NumOtv=8 then
begin
if Form4.RxCalcEdit1.Value=255 then
Err5:=0
else
Err5:=1;
end;

if NumOtv=9 then
begin
if Form4.RxCalcEdit1.Value=511 then
Err5:=0
else
Err5:=1;
end;

if NumOtv=10 then
begin
if Form4.RxCalcEdit1.Value=1023 then
Err5:=0
else
Err5:=1;
end;

if NumOtv=11 then
begin
if Form4.RxCalcEdit1.Value=2047 then
Err5:=0
else
Err5:=1;
end;

Form4.RxCalcEdit1.Value:=0;
Form4.RxCalcEdit1.Visible:=false;
Form4.Panel1.Visible:=false;
Form4.Edit1.Visible:=false;
Form4.RichEdit1.Clear;
Form4.LMDButton1.Enabled:=false;

Form4.LMDGroupBox1.Caption:='Вопрос 6';
Form4.Panel1.Visible:=false;
Form4.RxCalcEdit1.Visible:=true;
randomize;
NumOtv:=random(2048);
Form4.RichEdit1.Text:='Определить номер сегмента при нелинейном кодирование отсчета UАИМ-2гр ='+IntToStr(NumOtv);
end;

if NumVopr=7 then
begin
if (NumOtv>=0) and (NumOtv<=15) then
begin
if Form4.RxCalcEdit1.Value=0 then
Err6:=0
else
Err6:=1;
end;

if (NumOtv>=16) and (NumOtv<=31) then
begin
if Form4.RxCalcEdit1.Value=1 then
Err6:=0
else
Err6:=1;
end;

if (NumOtv>=32) and (NumOtv<=63) then
begin
if Form4.RxCalcEdit1.Value=2 then
Err6:=0
else
Err6:=1;
end;

if (NumOtv>=64) and (NumOtv<=127) then
begin
if Form4.RxCalcEdit1.Value=3 then
Err6:=0
else
Err6:=1;
end;

if (NumOtv>=128) and (NumOtv<=255) then
begin
if Form4.RxCalcEdit1.Value=4 then
Err6:=0
else
Err6:=1;
end;

if (NumOtv>=256) and (NumOtv<=511) then
begin
if Form4.RxCalcEdit1.Value=5 then
Err6:=0
else
Err6:=1;
end;

if (NumOtv>=512) and (NumOtv<=1023) then
begin
if Form4.RxCalcEdit1.Value=6 then
Err6:=0
else
Err6:=1;
end;

if (NumOtv>=1024) and (NumOtv<=2047) then
begin
if Form4.RxCalcEdit1.Value=7 then
Err6:=0
else
Err6:=1;
end;

Form4.RxCalcEdit1.Value:=0;
Form4.RxCalcEdit1.Visible:=false;
Form4.Panel1.Visible:=false;
Form4.Edit1.Visible:=false;
Form4.RichEdit1.Clear;
Form4.LMDButton1.Enabled:=false;

Form4.Edit1.Clear;
Form4.LMDGroupBox1.Caption:='Вопрос 7';
Form4.Panel1.Visible:=false;
Form4.RxCalcEdit1.Visible:=false;
Form4.Edit1.Visible:=true;
randomize;
NumOtv:=1+random(5);
if NumOtv=1 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой 65 натуральным кодом';
if NumOtv=2 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой 58 натуральным кодом';
if NumOtv=3 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой 81 натуральным кодом';
if NumOtv=4 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой 34 натуральным кодом';
if NumOtv=5 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой 98 натуральным кодом';
end;

if NumVopr=8 then
begin
//Form4.Edit1.Clear;
try
StrToInt(Form4.Edit1.Text);
except
on EConvertError do
begin
NumVopr:=NumVopr-1;
Application.MessageBox('Пишите только цифры','Ошибка ввода',MB_OK + MB_ICONERROR);
exit;
end;
end;

if NumOtv=1 then
begin
if Form4.Edit1.Text='1000001' then
Err7:=0
else
Err7:=1;
end;

if NumOtv=2 then
begin
if Form4.Edit1.Text='111010' then
Err7:=0
else
Err7:=1;
end;

if NumOtv=3 then
begin
if Form4.Edit1.Text='1010001' then
Err7:=0
else
Err7:=1;
end;

if NumOtv=4 then
begin
if Form4.Edit1.Text='100010' then
Err7:=0
else
Err7:=1;
end;

if NumOtv=5 then
begin
if Form4.Edit1.Text='1100010' then
Err7:=0
else
Err7:=1;
end;

Form4.RxCalcEdit1.Visible:=false;
Form4.Panel1.Visible:=false;
Form4.Edit1.Visible:=false;
Form4.RichEdit1.Clear;
Form4.LMDButton1.Enabled:=false;
Form4.Edit1.Clear;

Form4.LMDGroupBox1.Caption:='Вопрос 8';
Form4.Panel1.Visible:=false;
Form4.RxCalcEdit1.Visible:=false;
Form4.Edit1.Visible:=true;
randomize;
NumOtv:=1+random(5);
if NumOtv=1 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой 65 симметричным 8-ми разрядным кодом';
if NumOtv=2 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой 58 симметричным 8-ми разрядным кодом';
if NumOtv=3 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой 81 симметричным 8-ми разрядным кодом';
if NumOtv=4 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой 34 симметричным 8-ми разрядным кодом';
if NumOtv=5 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой 98 симметричным 8-ми разрядным кодом';
end;


if NumVopr=9 then
begin
//Form4.Edit1.Clear;
try
StrToInt(Form4.Edit1.Text);
except
on EConvertError do
begin
NumVopr:=NumVopr-1;
Application.MessageBox('Пишите только цифры','Ошибка ввода',MB_OK + MB_ICONERROR);
exit;
end;
end;

if NumOtv=1 then
begin
if Form4.Edit1.Text='11000001' then
Err8:=0
else
Err8:=1;
end;

if NumOtv=2 then
begin
if Form4.Edit1.Text='10111010' then
Err8:=0
else
Err8:=1;
end;

if NumOtv=3 then
begin
if Form4.Edit1.Text='11010001' then
Err8:=0
else
Err8:=1;
end;

if NumOtv=4 then
begin
if Form4.Edit1.Text='10100010' then
Err8:=0
else
Err8:=1;
end;

if NumOtv=5 then
begin
if Form4.Edit1.Text='11100010' then
Err8:=0
else
Err8:=1;
end;

Form4.RxCalcEdit1.Visible:=false;
Form4.Panel1.Visible:=false;
Form4.Edit1.Visible:=false;
Form4.RichEdit1.Clear;
Form4.LMDButton1.Enabled:=false;
Form4.Edit1.Clear;

Form4.LMDGroupBox1.Caption:='Вопрос 9';
Form4.Panel1.Visible:=false;
Form4.RxCalcEdit1.Visible:=false;
Form4.Edit1.Visible:=true;
randomize;
NumOtv:=1+random(6);
if NumOtv=1 then
Form4.RichEdit1.Text:='Определить разрядность кодовой группы (m) при уровне квантования (M), равным 17';
if NumOtv=2 then
Form4.RichEdit1.Text:='Определить разрядность кодовой группы (m) при уровне квантования (M), равным 34';
if NumOtv=3 then
Form4.RichEdit1.Text:='Определить разрядность кодовой группы (m) при уровне квантования (M), равным 61';
if NumOtv=4 then
Form4.RichEdit1.Text:='Определить разрядность кодовой группы (m) при уровне квантования (M), равным 97';
if NumOtv=5 then
Form4.RichEdit1.Text:='Определить разрядность кодовой группы (m) при уровне квантования (M), равным 140';
if NumOtv=6 then
Form4.RichEdit1.Text:='Определить разрядность кодовой группы (m) при уровне квантования (M), равным 214';
end;

if NumVopr=10 then
begin
//Form4.Edit1.Clear;
try
StrToInt(Form4.Edit1.Text);
except
on EConvertError do
begin
NumVopr:=NumVopr-1;
Application.MessageBox('Пишите только цифры','Ошибка ввода',MB_OK + MB_ICONERROR);
exit;
end;
end;

if NumOtv=1 then
begin
if Form4.Edit1.Text='5' then
Err9:=0
else
Err9:=1;
end;

if NumOtv=2 then
begin
if Form4.Edit1.Text='6' then
Err9:=0
else
Err9:=1;
end;

if NumOtv=3 then
begin
if Form4.Edit1.Text='6' then
Err9:=0
else
Err9:=1;
end;

if NumOtv=4 then
begin
if Form4.Edit1.Text='7' then
Err9:=0
else
Err9:=1;
end;

if NumOtv=5 then
begin
if Form4.Edit1.Text='8' then
Err9:=0
else
Err9:=1;
end;

if NumOtv=6 then
begin
if Form4.Edit1.Text='8' then
Err9:=0
else
Err9:=1;
end;

Form4.RxCalcEdit1.Visible:=false;
Form4.Panel1.Visible:=false;
Form4.Edit1.Visible:=false;
Form4.RichEdit1.Clear;
Form4.LMDButton1.Enabled:=false;
Form4.Edit1.Clear;

Form4.LMDGroupBox1.Caption:='Вопрос 10';
Form4.Panel1.Visible:=false;
Form4.RxCalcEdit1.Visible:=false;
Form4.Edit1.Visible:=true;
randomize;
NumOtv:=1+random(5);
if NumOtv=1 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой -66 симметричным 8-ми разрядным кодом';
if NumOtv=2 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой -53 симметричным 8-ми разрядным кодом';
if NumOtv=3 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой -87 симметричным 8-ми разрядным кодом';
if NumOtv=4 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой -41 симметричным 8-ми разрядным кодом';
if NumOtv=5 then
Form4.RichEdit1.Text:='Записать отсчет с амплитудой -96 симметричным 8-ми разрядным кодом';
end;


if NumVopr=11 then
begin
try
StrToInt(Form4.Edit1.Text);
except
on EConvertError do
begin
NumVopr:=NumVopr-1;
Application.MessageBox('Пишите только цифры','Ошибка ввода',MB_OK + MB_ICONERROR);
exit;
end;
end;

if NumOtv=1 then
begin
if Form4.Edit1.Text='01000010' then
Err10:=0
else
Err10:=1;
end;

if NumOtv=2 then
begin
if Form4.Edit1.Text='00110101' then
Err10:=0
else
Err10:=1;
end;

if NumOtv=3 then
begin
if Form4.Edit1.Text='01010111' then
Err10:=0
else
Err10:=1;
end;

if NumOtv=4 then
begin
if Form4.Edit1.Text='00101001' then
Err10:=0
else
Err10:=1;
end;

if NumOtv=5 then
begin
if Form4.Edit1.Text='01100000' then
Err10:=0
else
Err10:=1;
end;

NumErrors:=0;
Form4.LMDGroupBox1.Visible:=false;
Form4.LMDRadioGroup1.Visible:=false;
Form4.Label4.Visible:=true;
Form4.Label5.Visible:=true;
Form4.Label6.Visible:=true;
Form4.Label3.Visible:=true;
Form4.LMDButton1.Visible:=false;
Form4.Edit1.Visible:=false;


if Err1=1 then
NumErrors:=NumErrors+1;
if Err2=1 then
NumErrors:=NumErrors+1;
if Err3=1 then
NumErrors:=NumErrors+1;
if Err4=1 then
NumErrors:=NumErrors+1;
if Err5=1 then
NumErrors:=NumErrors+1;
if Err6=1 then
NumErrors:=NumErrors+1;
if Err7=1 then
NumErrors:=NumErrors+1;
if Err8=1 then
NumErrors:=NumErrors+1;
if Err9=1 then
NumErrors:=NumErrors+1;
if Err10=1 then
NumErrors:=NumErrors+1;


if Err1=1 then
ss:=ss+' 1';
if Err2=1 then
ss:=ss+' 2';
if Err3=1 then
ss:=ss+' 3';
if Err4=1 then
ss:=ss+' 4';
if Err5=1 then
ss:=ss+' 5';
if Err6=1 then
ss:=ss+' 6';
if Err7=1 then
ss:=ss+' 7';
if Err8=1 then
ss:=ss+' 8';
if Err9=1 then
ss:=ss+' 9';
if Err10=1 then
ss:=ss+' 10';



Form4.Label5.Caption:='Правильных ответов: '+IntToStr(10-NumErrors);
Form4.Label6.Caption:='Неправильных ответов: '+IntToStr(NumErrors);
Form4.Label3.Caption:='Ошибки в вопросах: '+ss;
if NumErrors<1000 then
begin
Form4.RzURLLabel2.Visible:=true;
Form4.RzURLLabel3.Visible:=true;
end
else
begin
Form4.RzURLLabel2.Visible:=true;
Form4.RzURLLabel3.Visible:=false;
end;

end;


end;


procedure TForm4.LMDRadioGroup1Click(Sender: TObject);
begin
if Form4.LMDRadioGroup1.ItemIndex<>-1 then
Form4.LMDButton1.Enabled:=true
else
Form4.LMDButton1.Enabled:=false;
end;

procedure TForm4.Edit1Change(Sender: TObject);
begin
if Form4.Edit1.Text<>'' then
Form4.LMDButton1.Enabled:=true
else
Form4.LMDButton1.Enabled:=false;
end;

procedure TForm4.RxCalcEdit1Click(Sender: TObject);
begin
Form4.LMDButton1.Enabled:=true;
end;

procedure TForm4.RzURLLabel3Click(Sender: TObject);
begin
Form4.Hide;
Form5.Show;
end;

procedure TForm4.RxCalcEdit1Change(Sender: TObject);
begin
Form4.LMDButton1.Enabled:=true;
end;

end.
